using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ReportLibrary;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Report1 report = new Report1();
            report.ReportParameters[0].Value = -1;
            this.ReportViewer1.Report = report;
            DataTable dataTable = new DataTable();

            dataTable.Columns.Add("ID", typeof(int));
            dataTable.Columns.Add("ParentID", typeof(int));
            dataTable.Columns.Add("Node", typeof(string));

            dataTable.Rows.Add(new object[] { 1, -1, "Node 1" });
            dataTable.Rows.Add(new object[] { 4, 1, "Node 1.1" });
            dataTable.Rows.Add(new object[] { 5, 4, "Node 1.1.1" });
            dataTable.Rows.Add(new object[] { 6, 4, "Node 1.1.2" });
            dataTable.Rows.Add(new object[] { 7, 6, "Node 1.1.2.1" });
            dataTable.Rows.Add(new object[] { 8, 6, "Node 1.1.2.2" });
            dataTable.Rows.Add(new object[] { 2, 1, "Node 1.2" });
            dataTable.Rows.Add(new object[] { 3, 2, "Node 1.2.1" });

            report.DataSource = dataTable;
            Telerik.Reporting.SubReport subReportItemDef = report.Items.Find("subReport1", true)[0] as Telerik.Reporting.SubReport;
            subReportItemDef.ReportSource = new Report1();
        }        
    }
}
